/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: FindEventsDelegate.as 106 2011-07-04 17:00:17Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.business
{

import com.adobe.cairngorm.business.ServiceLocator;
import org.ow2.sirocco.cloudmanager.utils.logger.Logger;

import mx.rpc.IResponder;
import org.ow2.sirocco.cloudmanager.model.OOCModelLocator;


public class FindEventsDelegate
{
    
    
    public function FindEventsDelegate()
    {
    }
    
    
    
    public function findEvents(projectId : String, startTime : Date, endTime : Date, pageNumber : int, pageSize : int) : void
    {
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        Logger.debug("findEvents");
        var service : Object = ServiceLocator.getInstance().getRemoteObject("AdminService");
        var serviceResult : Object;
        
        if (projectId == null)
            serviceResult = service.countEvents(startTime, endTime,model.sessionTokenId);
        else
            serviceResult = service.countEventsByProject(projectId, startTime, endTime,model.sessionTokenId);
        serviceResult.addResponder(this.responder);
        
        if (projectId == null)
            serviceResult = service.findEventsVo(startTime, endTime, pageNumber, pageSize,model.sessionTokenId);
        else
            serviceResult = service.findEventsVoByProject(projectId, startTime, endTime, pageNumber, pageSize,model.sessionTokenId);
        serviceResult.addResponder(this.responder);
    }
    
    /**
     * Responder that will handle the answer.
     */
    private var responderObject : IResponder;
    
    
    
    /**
     * Sets the given responder for this delegate.
     * @param responderObject the given responder
     */
    public function set responder(responderObject : IResponder) : void
    {
        this.responderObject = responderObject;
    }
    
    
    
    /**
     * @return the responder
     */
    public function get responder() : IResponder
    {
        return this.responderObject;
    }

}

}


