/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VirtualMachine$Status.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */


package org.ow2.sirocco.cloudmanager.business
{

import org.granite.util.Enum;
import flash.utils.IDataInput;
import flash.utils.IDataOutput;
import flash.utils.IExternalizable;


[Bindable]
[RemoteClass(alias = "org.ow2.sirocco.cloudmanager.business.VirtualMachine$Status")]
public class VirtualMachine$Status extends Enum implements IExternalizable
{
    
    public static const IN_CONFIGURATION : VirtualMachine$Status = new VirtualMachine$Status("IN_CONFIGURATION", _);
    
    public static const RUNNING : VirtualMachine$Status = new VirtualMachine$Status("RUNNING", _);
    
    public static const STOPPED : VirtualMachine$Status = new VirtualMachine$Status("STOPPED", _);
    
    public static const STARTING : VirtualMachine$Status = new VirtualMachine$Status("STARTING", _);
    
    public static const SUSPENDED : VirtualMachine$Status = new VirtualMachine$Status("SUSPENDED", _);
    
    public static const PAUSED : VirtualMachine$Status = new VirtualMachine$Status("PAUSED", _);
    
    public static const STOPPING : VirtualMachine$Status = new VirtualMachine$Status("STOPPING", _);
    
    public static const BEING_TEMPLATED : VirtualMachine$Status = new VirtualMachine$Status("BEING_TEMPLATED", _);
    
    public static const DESTROYED : VirtualMachine$Status = new VirtualMachine$Status("DESTROYED", _);
    
    public static const ERROR : VirtualMachine$Status = new VirtualMachine$Status("ERROR", _);
    
    
    
    function VirtualMachine$Status(value : String = null, restrictor : * = null)
    {
        super((value || IN_CONFIGURATION.name), restrictor);
    }
    
    
    
    override protected function getConstants() : Array
    {
        return constants;
    }
    
    
    
    public static function get constants() : Array
    {
        return [IN_CONFIGURATION, RUNNING, STOPPED, STARTING, SUSPENDED, PAUSED, STOPPING, BEING_TEMPLATED, DESTROYED,
                ERROR];
    }
    
    
    
    public static function valueOf(name : String) : VirtualMachine$Status
    {
        return VirtualMachine$Status(IN_CONFIGURATION.constantOf(name));
    }

}
}
