<?xml version="1.0" encoding="UTF-8"?>
<!--


    SIROCCO
    Copyright (C) 2011 France Telecom
    Contact: sirocco@ow2.org

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
    USA

     $Id$


-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" />

	<xsl:template match="/">
<pre>
<![CDATA[
package com.francetelecom.orangeopencloud.utils.internationalization
{
	import flash.events.Event;
	import flash.utils.ByteArray;

	public class OOCResourceManager
	{
		// Single instance of our Resource Manager
		private static var instance:OOCResourceManager;

		/**
		 * The locale representing the current language,
		 * formatted as the language code in lower case followed by the country code in upper case.
		 * e.g. "en_US" for "english as used in the United States",
		 * or "fr_FR" for "french as used in France".
		 */
		private var _locale:String;

		[Bindable]
		public function get locale():String
		{
			return this._locale;
		}

		public function set locale(newLocale:String):void
		{
			this._locale = newLocale;
			initValues();
		}

		private var isLoaded:Boolean;
		private var xmlTranslations:XML;
//		[Embed(source="config/translations.xml", mimeType="text/xml")]
		[Embed(source="/com/francetelecom/orangeopencloud/client/config/translations.xml", mimeType="application/octet-stream")]
		protected const EmbeddedXmlTranslations:Class;

		/**
		 * Returns a unique instance of OOCResourceManager (Singleton Design Pattern).
		 * @return The unique instance of OOCResourceManager.
		 */
		public static function getInstance():OOCResourceManager
		{
			if (instance == null)
			{
				instance = new OOCResourceManager(new SingletonEnforcer());
			}

			return instance;
		}

		public function OOCResourceManager(enforcer:SingletonEnforcer)
		{
			if (enforcer == null)
			{
				throw new Error("OOCResourceManager constructor forbidden! Instead, use OOCResourceManager.getInstance().");
			}
			else
			{
//				IOUtils.loadFile("config/translations.xml", onResourcesLoaded);
//				this.xmlTranslations = XML(new EmbeddedXmlTranslations());
				var byteArray:ByteArray = new EmbeddedXmlTranslations() as ByteArray;
				this.xmlTranslations = new XML(byteArray.readUTFBytes(byteArray.length));
				onResourcesLoaded(null);
			}
		}

		private function onResourcesLoaded(event:Event):void
		{
			this.isLoaded = true;
//			this.xmlTranslations = XML(event.target.data);

			this.locale = "en_US";
		}

]]>
<xsl:apply-templates select="translations/view/text" mode="Decl" />
<![CDATA[

		

		private function initValues():void
		{
]]>

<xsl:apply-templates select="translations/view/text" mode="Init" />

<!-- FOOTER -->
<![CDATA[
		}

		private function getTranslation(viewID:String, textID:String):String
		{
			var translation:String = String(this.xmlTranslations.view.(@id == viewID).text.(@id == textID).attribute(this.locale));

			// Suppress Windows carriage return characters (\r)
			translation = translation.replace(/\r/g, '');
			
			return translation;
		}

	}
}

/**
 * Inner class used for the Singleton Design Pattern.
 * @author ARLERAY
 */
class SingletonEnforcer
{

}]]>
</pre>
	</xsl:template>

	<xsl:template match="text" mode="Decl">
		[Bindable]
		public var <xsl:value-of select="concat(../@id, '_', @id)" />:String;
	</xsl:template>

	<xsl:template match="text" mode="Init">
			this.<xsl:value-of select="concat(../@id, '_', @id)" /> = getTranslation("<xsl:value-of select="../@id" />", "<xsl:value-of select="@id" />");</xsl:template>

</xsl:stylesheet>
