/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetAllVMImagesCommand.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command {

import com.adobe.cairngorm.commands.*;
import com.adobe.cairngorm.control.*;
import org.ow2.sirocco.cloudmanager.business.*;
import org.ow2.sirocco.cloudmanager.event.*;
import org.ow2.sirocco.cloudmanager.model.*;
import org.ow2.sirocco.cloudmanager.vo.VolumeVO;

import mx.collections.ArrayCollection;
import mx.controls.Alert;
import mx.managers.CursorManager;
import mx.messaging.messages.ErrorMessage;
import mx.rpc.IResponder;
import mx.rpc.events.FaultEvent;
import mx.rpc.events.ResultEvent;

public class GetAllVolumesCommand extends SequenceCommand implements IResponder {
    
    override public function execute(event : CairngormEvent) : void {
        // Set the "busy" cursor
        
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        
        var getAllVolumesEvent : GetAllVolumesEvent = event as GetAllVolumesEvent;
        
        var delegate : GetAllVolumesDelegate = OOCModelLocator.getInstance().getAllVolumesDelegate;
        delegate.responder = this;
        
        delegate.getAllVolumesDelegate();
    }
    
    public function result(event : Object) : void {
        CursorManager.removeAllCursors();
        
        var resultEvent : ResultEvent = event as ResultEvent;
        var arrayCollection : ArrayCollection = resultEvent.result as ArrayCollection;
        
        // Gets the Model
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        
        // set attributes in the model to update the UI
        //model.VMImagesList = arrayCollection;
        model.volumeVoList.source = arrayCollection.source;
    
    }
    
    /**
     * Manage failure : show the error message.
     */
    public function fault(event : Object) : void {
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        
        var modelLocator : OOCModelLocator = OOCModelLocator.getInstance();
        
        modelLocator.onCommandFault(event);
    }
}
}


