/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetVirtualMachineConsoleCommand.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{

import com.adobe.cairngorm.commands.*;
import com.adobe.cairngorm.control.*;
import org.ow2.sirocco.cloudmanager.business.*;
import org.ow2.sirocco.cloudmanager.event.*;
import org.ow2.sirocco.cloudmanager.model.*;
import org.ow2.sirocco.cloudmanager.utils.logger.Logger;
import org.ow2.sirocco.cloudmanager.vo.*;

import flash.net.URLRequest;
import flash.net.navigateToURL;

import mx.rpc.IResponder;
import mx.rpc.events.ResultEvent;


public class GetVirtualMachineConsoleCommand extends SequenceCommand implements IResponder
{
    
    private var vmId : String;
    
    
    
    public function GetVirtualMachineConsoleCommand()
    {
    }
    
    
    
    override public function execute(event : CairngormEvent) : void
    {
        // Set the "busy" cursor
        //CursorManager.setBusyCursor();
        
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        
        var getVirtualMachineConsoleEvent : GetVirtualMachineConsoleEvent = event as GetVirtualMachineConsoleEvent;
        this.vmId = getVirtualMachineConsoleEvent.vmId;
        
        var delegate : GetVirtualMachineConsoleDelegate = OOCModelLocator.getInstance().getVirtualMachineConsoleDelegate;
        delegate.responder = this;
        
        model.loadingVirtualMachineConsole = true;
        
        delegate.getVirtualMachineConsole(this.vmId);
    }
    
    
    
    public function result(event : Object) : void
    {
//            CursorManager.removeAllCursors();
        
        var resultEvent : ResultEvent = event as ResultEvent;
        var virtualMachineConsoleURL : String = resultEvent.result as String;
        
        Logger.debug("Got VM Console URL: " + virtualMachineConsoleURL);
        
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        model.loadingVirtualMachineConsole = false;
        
        if (virtualMachineConsoleURL != null)
            navigateToURL(new URLRequest(virtualMachineConsoleURL));
    }
    
    
    
    /**
    * Manage failure : show the error message.
    */
    public function fault(event : Object) : void
    {
//            CursorManager.removeAllCursors();
        
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        
        model.loadingVirtualMachineConsole = false;
        
        model.onCommandFault(event);
    }
}
}
