/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetVirtualMachinesMemoryUsedCommand.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command
{

import com.adobe.cairngorm.commands.*;
import com.adobe.cairngorm.control.*;
import org.ow2.sirocco.cloudmanager.business.*;
import org.ow2.sirocco.cloudmanager.event.*;
import org.ow2.sirocco.cloudmanager.model.*;
import org.ow2.sirocco.cloudmanager.vo.*;

import mx.collections.ArrayCollection;
import mx.managers.CursorManager;
import mx.rpc.IResponder;
import mx.rpc.events.ResultEvent;


public class GetVirtualMachinesMemoryUsedCommand extends SequenceCommand implements IResponder
{
    
    private var _vmIds : ArrayCollection;
    
    
    
    public function GetVirtualMachinesMemoryUsedCommand()
    {
    }
    
    
    
    override public function execute(event : CairngormEvent) : void
    {
        // Set the "busy" cursor
        //CursorManager.setBusyCursor();
        
        var getVirtualMachinesMemoryUsedEvent : GetVirtualMachinesMemoryUsedEvent = event as GetVirtualMachinesMemoryUsedEvent;
        _vmIds = getVirtualMachinesMemoryUsedEvent.vmIds;
        
        var delegate : GetVirtualMachinesMemoryUsedDelegate = OOCModelLocator.getInstance().getVirtualMachinesMemoryUsedDelegate;
        delegate.responder = this;
        
        delegate.getVirtualMachinesMemoryUsed(_vmIds);
    }
    
    
    
    public function result(event : Object) : void
    {
        //CursorManager.removeAllCursors();
        
        var resultEvent : ResultEvent = event as ResultEvent;
        var array : Array = resultEvent.result as Array;
        
        // Gets the Model
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        
        model.memoryUsedArray = new Array();
        var i : uint = 0;
        
        for each (var id : String in this._vmIds)
        {
            model.memoryUsedArray[id] = array[i];
            //Logger.debug('model.memoryUsedArray["vm'+id+'"] = '+org.ow2.sirocco.cloudmanager.model.OOCModelLocator.getInstance().memoryUsedArray[id]);
            i++;
        }
        model.memoryUsedArrayUpdateWatcher++;
    }
    
    
    
    /**
     * Manage failure : show the error message.
     */
    public function fault(event : Object) : void
    {
        //CursorManager.removeAllCursors();
        
        var model : OOCModelLocator = OOCModelLocator.getInstance();
        
        model.onCommandFault(event);
    }
}
}
