/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: UpdateVMImageCommand.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.command {

    import mx.collections.ArrayCollection;
    import mx.rpc.IResponder;
    import mx.rpc.events.FaultEvent;
    import mx.rpc.events.ResultEvent;
    import org.ow2.sirocco.cloudmanager.business.*;
    import org.ow2.sirocco.cloudmanager.event.*;
    import org.ow2.sirocco.cloudmanager.model.*;
    import org.ow2.sirocco.cloudmanager.vo.*;
    import com.adobe.cairngorm.control.*;
    import com.adobe.cairngorm.commands.*;
    import mx.controls.Alert;
    import mx.managers.CursorManager;
    import mx.messaging.messages.ErrorMessage;

    public class UpdateVMImageCommand extends SequenceCommand implements IResponder {

        private var image : VMImageVO;
        
        public function UpdateVMImageCommand()
        {
        }

        override public function execute(event : CairngormEvent) : void {
        	// Set the "busy" cursor
            CursorManager.setBusyCursor();
        	
            var updateVMImageEvent : UpdateVMImageEvent = event as UpdateVMImageEvent;
            image = updateVMImageEvent.image;
            
            var delegate : UpdateVMImageDelegate = OOCModelLocator.getInstance().updateVMImageDelegate;
            delegate.responder = this;

            delegate.updateVMImage(image);
        }

        public function result(event : Object) : void {
            CursorManager.removeAllCursors();
         }
         
         /**
         * Manage failure : show the error message.
         */
        public function fault(event : Object) : void {
            CursorManager.removeAllCursors();

           var model : OOCModelLocator = OOCModelLocator.getInstance();
           
           model.onCommandFault(event);
        }
    }
}
