/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: AddUserToProjectEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

import com.adobe.cairngorm.control.CairngormEvent;
import org.ow2.sirocco.cloudmanager.vo.*;


public class AddUserToProjectEvent extends CairngormEvent
{
    
    // Name of the Event.
    public static const ADD_USER_PROJECT : String = "addUserToProject";
    
    private var _projectId : String;
    
    private var _username : String;
    
    private var _rights : String;
    
    
    
    public function AddUserToProjectEvent(username : String, projectId : String, rights : String)
    {
        super(ADD_USER_PROJECT);
        this._projectId = projectId;
        this._username = username;
        this._rights = rights;
    }
    
    
    
    public function get projectId() : String
    {
        return _projectId;
    }
    
    
    
    public function set projectId(value : String) : void
    {
        _projectId = value;
    }
    
    
    
    public function get username() : String
    {
        return _username;
    }
    
    
    
    public function set username(value : String) : void
    {
        _username = value;
    }
    
    
    
    public function get rights() : String
    {
        return _rights;
    }
    
    
    
    public function set rights(value : String) : void
    {
        _rights = value;
    }

}

}
