/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: AuthenticateUserEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

import com.adobe.cairngorm.control.CairngormEvent;


public class AuthenticateUserEvent extends CairngormEvent
{
    
    // Name of the Event.
    public static const AUTHENTICATE_USER : String = "authenticateUser";
    
    // the username to authenticate
    private var _username : String;
    
    // the password associate with the username
    private var _password : String;
    
    
    
    public function AuthenticateUserEvent(username : String, password : String)
    {
        super(AUTHENTICATE_USER);
        this._username = username;
        this._password = password;
    }
    
    
    
    public function get username() : String
    {
        return this._username;
    }
    
    
    
    public function get password() : String
    {
        return this._password;
    }

}

}
