/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: CreateProjectEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

import com.adobe.cairngorm.control.CairngormEvent;


public class CreateUserEvent extends CairngormEvent
{
    
    // Name of the Event.
    public static const CREATE_USER : String = "createUser";
    
    private var _username : String;
    
    private var _password : String;
    
    private var _userMail : String;
    
    private var _userFirstName : String;
    
    private var _userLastName : String;
    
    
    
    public function CreateUserEvent(username : String, password : String, userMail : String, userFirstName : String, userLastName : String)
    {
        super(CREATE_USER);
        this._username = username;
        this._password = password;
        this.userFirstName = userFirstName;
        this.userLastName = userLastName;
        this.userMail = userMail;
    }
    
    
    
    public function get username() : String
    {
        return _username;
    }
    
    
    
    public function set username(value : String) : void
    {
        _username = value;
    }
    
    
    
    public function get password() : String
    {
        return _password;
    }
    
    
    
    public function set password(value : String) : void
    {
        _password = value;
    }
    
    
    
    public function get userMail() : String
    {
        return _userMail;
    }
    
    
    
    public function set userMail(value : String) : void
    {
        _userMail = value;
    }
    
    
    
    public function get userFirstName() : String
    {
        return _userFirstName;
    }
    
    
    
    public function set userFirstName(value : String) : void
    {
        _userFirstName = value;
    }
    
    
    
    public function get userLastName() : String
    {
        return _userLastName;
    }
    
    
    
    public function set userLastName(value : String) : void
    {
        _userLastName = value;
    }

}

}

