/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: CreateVMImageEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

import com.adobe.cairngorm.control.CairngormEvent;
import org.ow2.sirocco.cloudmanager.business.VMImage$Visibility;
import org.ow2.sirocco.cloudmanager.business.VirtualMachine$Status;


public class CreateVMImageEvent extends CairngormEvent
{
    
    // Name of the Event.
    public static const CREATE_VM_IMAGE : String = "createVMImage";
    
    // the identifier of the VM to snapshot
    private var _vmId : String;
    
    // the name of the virtual machine image
    private var _name : String;
    
    // the description of the virtual machine image
    private var _description : String;
    
    // the _projectId of the virtual machine image
    private var _projectId : String;
    
    // the visibility of the virtual machine image
    private var _visibility : VMImage$Visibility;
    
    
    
    public function CreateVMImageEvent(projectId : String, visibility : VMImage$Visibility, vmId : String, name : String, description : String)
    {
        super(CREATE_VM_IMAGE);
        this._vmId = vmId;
        this._name = name;
        this._description = description;
        this._projectId = projectId;
        this._visibility = visibility;
    }
    
    
    
    public function get projectId() : String
    {
        return _projectId;
    }
    
    
    
    public function get visibility() : VMImage$Visibility
    {
        return _visibility;
    }
    
    
    
    public function get name() : String
    {
        return this._name;
    }
    
    
    
    public function get description() : String
    {
        return this._description;
    }
    
    
    
    public function get vmId() : String
    {
        return _vmId;
    }

}

}
