/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetHostPerfMetricsEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{
	
	import com.adobe.cairngorm.control.CairngormEvent;
	
	public class GetHostPerfMetricsEvent extends CairngormEvent
	{
		
		// Name of the Event.
		public static const GET_HOST_PERF_METRICS:String = "getHostPerfMetrics";
		
		// the identifier of the host
		private var _hostId:String;
		
		// the identifier of the metric. This metric Id must
		// be supported by the host
		private var _metricId:String;
		
		// the time from which metric values are to be retrieved.
        // When startTime is null, the returned metrics start from the first
        // available metric in the system
		private var _startTime:Date;
		
		// the time up to which metric values are retrieved. When
        // endTime is null, the returned result includes up to the most
        // recent metric value
		private var _endTime:Date;
		
		// Stacked series (values are added)
		private var _stacked:Boolean;
		
		public function GetHostPerfMetricsEvent(hostId:String, metricId:String, startTime:Date, endTime:Date, stacked:Boolean)
		{
			super(GET_HOST_PERF_METRICS);
			this._hostId = hostId;
			this._metricId = metricId;
			this._startTime = startTime;
			this._endTime = endTime;
			this._stacked = stacked;
		}
		
		public function get hostId():String
		{
			return this._hostId;
		}
		
		public function get metricId():String
		{
			return this._metricId;
		}
		
		public function get startTime():Date
		{
			return this._startTime;
		}
		
		public function get endTime():Date
		{
			return this._endTime;
		}
		
		public function get stacked():Boolean
		{
			return this._stacked;
		}
	
	}

}
