/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: GetVirtualMachinesCPULoadEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

import com.adobe.cairngorm.control.CairngormEvent;

import mx.collections.ArrayCollection;


public class GetVirtualMachinesCPULoadEvent extends CairngormEvent
{
    
    // Name of the Event.
    public static const GET_VIRTUAL_MACHINES_CPU_LOAD : String = "getVirtualMachinesCPULoad";
    
    // an array of VM identifiers
    private var _vmIds : ArrayCollection;
    
    
    
    public function GetVirtualMachinesCPULoadEvent(ids : ArrayCollection)
    {
        super(GET_VIRTUAL_MACHINES_CPU_LOAD);
        this._vmIds = ids;
    }
    
    
    
    public function get vmIds() : ArrayCollection
    {
        return _vmIds;
    }

}

}
