/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: StopVirtualMachineEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

import com.adobe.cairngorm.control.CairngormEvent;


public class StopVirtualMachineEvent extends CairngormEvent
{
    
    // Name of the Event.
    public static const STOP_VIRTUAL_MACHINE : String = "stopVirtualMachine";
    
    // the VM id of the VM to stop
    private var _vmId : String;
    
    
    
    public function StopVirtualMachineEvent(id : String)
    {
        super(STOP_VIRTUAL_MACHINE);
        this.vmId = id;
    }
    
    
    
    public function get vmId() : String
    {
        return _vmId;
    }
    
    
    
    public function set vmId(value : String) : void
    {
        _vmId = value;
    }

}

}
