/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: UpdateUserPasswordsEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event
{

	import com.adobe.cairngorm.control.CairngormEvent;

	public class UpdateUserPasswordsEvent extends CairngormEvent
	{

		// Name of the Event.
		public static const UPDATE_USER_PASSWORDS:String="updateUserPasswords";

		// the username of the user
		private var _username:String;
		
		// the new Web portal password
		private var _webPassword:String
		
		// the new API password
		private var _apiPassword:String

		public function UpdateUserPasswordsEvent(username:String, webPassword:String, apiPassword:String)
		{
			super(UPDATE_USER_PASSWORDS);
			this._username=username;
			this._webPassword=webPassword;
			this._apiPassword=apiPassword;
			
		}

		public function get username():String
		{
			return this._username;
		}
		
		public function get webPassword():String
		{
			return this._webPassword;
		}
		
		public function get apiPassword():String
		{
			return this._apiPassword;
		}

	}

}
