/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: DelVMImageEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event.dataPush
{
import flash.utils.IDataInput;
import flash.utils.IDataOutput;
import flash.utils.IExternalizable;


[Bindable]
[RemoteClass(alias = "org.ow2.sirocco.cloudmanager.admin.event.DelVMImageEvent")]
public class DelVMImageEvent extends CloudAdminEvent implements IExternalizable
{
    
    private var _vmiId : int;
    
    
    
    public function DelVMImageEvent(vmiId : int)
    {
        this._vmiId = vmiId;
    }
    
    
    
    public function get vmiId() : int
    {
        return _vmiId;
    }
    
    
    
    public function set imageId(imageId : int) : void
    {
        this._vmiId = imageId;
    }
    
    
    
    public function readExternal(input : IDataInput) : void
    {
        _vmiId = input.readObject() as int;
    }
    
    
    
    public function writeExternal(output : IDataOutput) : void
    {
        output.writeObject(_vmiId);
    }

}

}
