/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: NewEventEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event.dataPush
{
	import org.ow2.sirocco.cloudmanager.vo.EventVO;

	import flash.utils.IDataInput;
	import flash.utils.IDataOutput;
	import flash.utils.IExternalizable;


	[Bindable]
	[RemoteClass(alias="org.ow2.sirocco.cloudmanager.admin.event.NewEventEvent")]
	public class NewEventEvent extends CloudAdminEvent implements IExternalizable
	{

		private var _event:EventVO;


		public function NewEventEvent(event:EventVO=null)
		{
			this.event=event;
		}

		public function get event():EventVO
		{
			return _event;
		}

		public function set event(server:EventVO):void
		{
			this._event=server;
		}

		public function readExternal(input:IDataInput):void
		{
			_event=input.readObject() as EventVO;
		}

		public function writeExternal(output:IDataOutput):void
		{
			output.writeObject(_event);
		}

	}

}
