/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: NewVMImageEvent.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.event.dataPush
{
	import org.ow2.sirocco.cloudmanager.vo.VMImageVO;

	import flash.utils.IDataInput;
	import flash.utils.IDataOutput;
	import flash.utils.IExternalizable;

	[Bindable]
	[RemoteClass(alias="org.ow2.sirocco.cloudmanager.admin.event.NewVMImageEvent")]
	public class NewVMImageEvent extends CloudAdminEvent implements IExternalizable
	{

		private var _image:VMImageVO;


		public function NewVMImageEvent(image:VMImageVO = null)
		{
			this._image = image;
		}

		public function get image():VMImageVO
		{
			return _image;
		}

		public function set image(image:VMImageVO):void
		{
			this._image = image;
		}

		public function readExternal(input:IDataInput):void
		{
			_image = input.readObject() as VMImageVO;
		}

		public function writeExternal(output:IDataOutput):void
		{
			output.writeObject(_image);
		}

	}

}
