/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: ArrayCollectionUtils.as 177 2011-07-21 17:29:01Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.utils
{
import mx.collections.ArrayCollection;


public class ArrayCollectionUtils
{
    public static function removeItemInCollection(c : ArrayCollection, propertyName : String, propertyValue : *) : Object
    {
        for (var i : int; i < c.length; i++)
        {
            if (c.getItemAt(i)[propertyName] == propertyValue)
            {
                return c.removeItemAt(i);
            }
        }
        return null;
    }
    
    
    
    public static function findInCollection(c : ArrayCollection, propertyName : String, propertyValue : *) : Object
    {
        var matches : Array = c.source.filter(findFunction(propertyName, propertyValue));
        
        if (matches.length > 0)
            return matches[0];
        return null;
    }
    
    
    
    private static function findFunction(propertyName : String, propertyValue : *) : Function
    {
        return function(element : *, index : int, array : Array) : Boolean
        {
            return element[propertyName] == propertyValue;
        }
    }
    
    
    
    public static function findIndex(whichArray : ArrayCollection, whichItem : Object, label : String) : Number
    
    {
        
        var ret_value : Number = -1;
        
        for (var i : uint = 0; i < whichArray.length; i++)
            
        {
            
            if (whichArray[i][label] == whichItem)
                
            {
                
                return  i;
                
            }
            
        }
        
        return ret_value;
    
    }

}
}


