/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: IPAddressValidator.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.utils
{
	import mx.validators.ValidationResult;
	import mx.validators.Validator;

	public class IPAddressValidator extends Validator
	{

		public function IPAddressValidator()
		{
			super();
		}

		override protected function doValidation(value:Object):Array
		{
			var ValidatorResults:Array=new Array();
			ValidatorResults=super.doValidation(value);
			if (ValidatorResults.length > 0)
				return ValidatorResults;

			if (!required && String(value).length == 0)
				return ValidatorResults;

			var RegPattern:RegExp=/\b(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\b/;
			var a:Array=RegPattern.exec(String(value));
			if (a == null)
			{
				ValidatorResults.push(new ValidationResult(true, null, "IPAddress Error", "You must enter an IP Address"));
				return ValidatorResults;
			}
			return ValidatorResults;
		}
	}
}
