/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: MBGBFormater.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.utils
{
	import mx.controls.advancedDataGridClasses.AdvancedDataGridColumn;
	import mx.controls.dataGridClasses.DataGridColumn;
	
	public class MBGBFormater
	{
		
		public static function MBGBLabelFunction(item:Object, column:DataGridColumn):String
		{
			var value:Number = Number(item[column.dataField]);
			var result:String = MBGBLabelFormat(value);
			return result;
		}

		public static function MBGBAdvancedLabelFunction(item:Object, column:AdvancedDataGridColumn):String
		{
			var value:Number = Number(item[column.dataField]);
			var result:String = MBGBLabelFormat(value);
			return result;
		}

		public static function MBGBLabelFormat(value:Number):String
		{
			var result:String = null;
			if (!isNaN(value))
			{
				if (value < 1024)
				{
					result = round(value) + "MB";
				}
				else
				{
					result = round(value / 1024) + "GB";
				}
			}
			return result;
		}
		
		private static function round(value:Number, nbDigits:uint = 2):Number
		{
			var result:Number = Math.round(value * Math.pow(10, nbDigits)) / Math.pow(10, nbDigits);
			
			return result;
		}

	}
}
