/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: Utils.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.utils
{
import flash.display.DisplayObject;

import mx.collections.IHierarchicalCollectionView;
import mx.collections.IHierarchicalCollectionViewCursor;


public class Utils
{
    public static function isVisible(component : DisplayObject) : Boolean
    {
        if (!component.visible)
        {
            return false;
        }
        else
        {
            return (component.parent == null) || isVisible(component.parent);
        }
    }
    
    
    
    // Expand nodes of a HierarchicalCollection to a specific level
    public static function expandToLevel(dataProvider : IHierarchicalCollectionView, numLevels : int = 0) : void
    {
        // Create a cursor to loop through the data provider items
        var dataCursor : IHierarchicalCollectionViewCursor = IHierarchicalCollectionViewCursor(dataProvider.createCursor());
        
        // Loop through each item (until current is null)
        while (dataCursor.current)
        {
            // If the depth of the item is within the maximum level to open, open it
            if (dataCursor.currentDepth < numLevels)
            {
                dataProvider.openNode(dataCursor.current);
            }
            
            // Go to the next item in the cursor
            dataCursor.moveNext();
        }
    }
}
}
