/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: AdvancedDataGridColumnNested.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.view.component
{
import mx.controls.advancedDataGridClasses.AdvancedDataGridColumn;


public class AdvancedDataGridColumnNested extends AdvancedDataGridColumn
{
    public function AdvancedDataGridColumnNested(columnName : String = null)
    {
        super(columnName);
    }
    
    
    
    private function applyFormatting(data : String) : String
    {
        if (formatter != null && data != null)
        {
            var label : String = formatter.format(data);
            
            // Silently ignore formatter errors. For example, errors occur when
            // the property corresponding to the dataField is not present in the
            // row object i.e. it'll be empty and it's not anybody's fault that
            // it's an error.
            if (formatter.error)
                return null;
            
            return label;
        }
        else
        {
            return data;
        }
    }
    
    
    
    override public function itemToLabel(data : Object, withFormatting : Boolean = true) : String
    {
        if (dataField.indexOf(".") != -1)
        {
            
            var fields : Array = dataField.split(".");
            var currentData : Object = data;
            
            for each (var field : String in fields)
                currentData = currentData[field];
            
            var label : String;
            
            if (currentData is String)
                label = String(currentData);
            
            try
            {
                label = currentData.toString();
            }
            catch (e : Error)
            {
                return "";
            }
            
            if (withFormatting)
                return applyFormatting(label);
            return label;
        }
        
        return super.itemToLabel(data, withFormatting);
    }

}
}
