/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: DataGridColumnNested.as 114 2011-07-06 15:41:05Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.view.component
{
import mx.controls.dataGridClasses.DataGridColumn;
import mx.collections.*;
import mx.collections.errors.ItemPendingError;


public class DataGridColumnNested extends DataGridColumn
{
    
    override public function itemToLabel(data : Object) : String
    {
        
        var currentData : Object = data;
        
        if (data == null)
            return "";
        
        if (dataField.indexOf(".") != -1)
        {
            var fields : Array = dataField.split(".");
            
            try
            {
                for each (var field : String in fields)
                {
                    currentData = currentData[field];
                    
                    if (currentData == null)
                        break;
                }
            }
            catch (ipe : ItemPendingError)
            {
                ipe.addResponder(new ItemResponder(function(result : Object, token : Object = null):void
                {
                    itemToLabel(result.body);
                }, function(fault : Object, token : Object = null):void
                {
                    trace('Error while loading');
                }));
            }
        }
        return super.itemToLabel(currentData);
    }
}
}


