/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: ResourceContainer.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{
	import com.adobe.cairngorm.vo.IValueObject;
	
	[RemoteClass(alias="org.ow2.sirocco.cloudmanager.clustermanager.api.ResourceContainer")]
	[Bindable]
	public class ResourceContainer implements IValueObject
	{
		
		public var cpuCapacityMHz:Number;
		public var cpuAllocatedMHz:Number;
		public var cpuCoreCapacity:Number;
		public var cpuCoreAllocated:Number;
		public var memoryCapacityMB:Number;
		public var memoryAllocatedMB:Number;
		public var storageCapacityMB:Number;
		public var storageAllocatedMB:Number;
		
		public function ResourceContainer()
		{
			super();
		}
		
		public function initFrom(from:ResourceContainer):void 
		{
			cpuCapacityMHz=from.cpuCapacityMHz;
			cpuAllocatedMHz=from.cpuAllocatedMHz;
			cpuCoreAllocated=from.cpuCoreAllocated;
			cpuCoreCapacity=from.cpuCoreCapacity;
			memoryAllocatedMB=from.memoryAllocatedMB;
			memoryAllocatedMB=from.memoryAllocatedMB;
			storageCapacityMB=from.storageCapacityMB;
			storageAllocatedMB=from.storageAllocatedMB;
		}
		
		public function toString():String
		{
			return "ResourceContainer(cpuMHz=" + this.cpuAllocatedMHz + "/" + this.cpuCapacityMHz + ",cpuCore=" + this.cpuCoreAllocated + "/" + this.cpuCoreCapacity + ",memoryMB=" + this.memoryAllocatedMB + "/" + this.memoryCapacityMB + ",storageMB=" + this.storageAllocatedMB + "/" + this.storageCapacityMB + ")";
		}
	}

}
