/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VMImageVO.as 151 2011-07-19 13:12:35Z otterley $
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{
import com.adobe.cairngorm.vo.IValueObject;


[RemoteClass(alias = "org.ow2.sirocco.cloudmanager.admin.vo.VMImageVO")]
[Bindable]
public class VMImageVO implements IValueObject
{
    
    public var id : int;
    
    public var name : String;
    
    public var osType : String;
    
    public var description : String;
    
    public var hypervisor : String;
    
    public var username : String;
    
    public var projectId : String;
    
    public var projectName : String;
    
    public var status : String;
    
    public var visibility : String;
    
    public var architecture : String;
    
    public var diskSizeMB : Number;
    
    public var imageSizeMB : Number;
    
    
    
    public function VMImageVO()
    {
        super();
    }
    
    
    
    public function initFrom(other : VMImageVO) : void
    {
        name = other.name;
        osType = other.osType;
        description = other.description;
        id = other.id;
        hypervisor = other.hypervisor;
        username = other.username;
        projectId = other.projectId;
        projectName = other.projectName;
        status = other.status;
        visibility = other.visibility;
        architecture = other.architecture;
        diskSizeMB = other.diskSizeMB;
        imageSizeMB = other.imageSizeMB;
    }
    
    
    
    public function toString() : String
    {
        return "VMImageVO {imageId = " + id + ",status = " + status + ",name = " + name + ",username = " + username + "}";
    }
}
}
