/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VirtualMachineVO.as 151 2011-07-19 13:12:35Z otterley $
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{
import com.adobe.cairngorm.vo.IValueObject;
import org.ow2.sirocco.cloudmanager.business.VirtualMachine$Status;


[RemoteClass(alias = "org.ow2.sirocco.cloudmanager.admin.vo.VirtualMachineVO")]
[Bindable]
public class VirtualMachineVO implements IValueObject
{
    
    public var id : String;
    
    public var status : VirtualMachine$Status;
    
    public var name : String;
    
    public var providerId : String;
    
    public var username : String;
    
    public var memoryMB : Number;
    
    public var storageMB : Number;
    
    public var numCpus : Number;
    
    public var ip : String;
    
    public var dnsName : String;
    
    public var mac : String;
    
    public var creationDate : Date;
    
    public var expirationDate : Date;
    
    public var deleteDate : Date;
    
    public var location : String;
    
    public var hostId : String;
    
    public var imageName : String;
    
    public var imageVmiId : int;
    
    public var projectId : String;
    
    public var projectName : String;
    
    public var reservationId : String;
    
    public var vmImageVo : VMImageVO;
    
    public var additionalProperties : Object;
    
    
    
    public function VirtualMachineVO()
    {
        super();
    }
    
    
    
    public function toString() : String
    {
        return "VirtualMachineVO {id = " + id + ",providerId = " + providerId + ",name = " + name + ",mac = " + mac + ",ip = " + ip + ",username = " + username + ",location = " + location + ",hostId = " + hostId + ",imageVmiId = " + imageVmiId + "}";
    }
}

}
