/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: VMImageVO.as 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.vo
{
import com.adobe.cairngorm.vo.IValueObject;

import mx.collections.ArrayCollection;


[RemoteClass(alias = "org.ow2.sirocco.cloudmanager.admin.vo.VolumeVO")]
[Bindable]
public class VolumeVO implements IValueObject
{
    
    public var volumeId : String;
    
    public var projectId : String;
    
    public var userName : String;
    
    public var capacityInMB : Number;
    
    public var name : String;
    
    public var description : String;
    
    public var bootableVolume: Boolean;
    
    public var status: String;
    
    public var visibility: String;
    
    public var attachedVirtualMachineIds:ArrayCollection;
    
    public  var creationDate : Date;
    
    
    public function VolumeVO()
    {
        super();
    }
    
    public function initFrom(other : VolumeVO) : void
    {
        name = other.name;
        description=other.description;
        volumeId=other.volumeId;
        projectId=other.projectId;
        userName=other.userName;
        capacityInMB=other.capacityInMB;
        bootableVolume=other.bootableVolume;
        status=other.status;
        visibility=other.visibility;
        attachedVirtualMachineIds.source=other.attachedVirtualMachineIds.source;
        creationDate=other.creationDate;
    }
    
    public function toString() : String
    {
        return "VolumeVO {volumeId = " + volumeId + ",status = " + status + ",name = " + name + ",username = " + userName + "}";
    }
}
}


